<template>
    <lazy-theme-desktop-peru-referral-v2-redeem v-if="selectedThemeName.includes('peru')" />
    <lazy-theme-common-mobile-referral-v2-redeem v-else-if="isMobile" />
    <lazy-theme-common-desktop-referral-v2-redeem v-else />
</template>

<script setup lang="ts">
import { store } from '~~/store';

const selectedThemeName = computed(() => store.state.selectedThemeName);
const isMobile = !useIsDesktop();
</script>

<style>
.referral-v2-history__date-picker .el-date-picker__header {
    margin-top: 0;
    padding-top: 12px;
}
</style>